<html><head>
<meta http-equiv=content-language content=zh-cn>
<meta http-equiv=content-type content="text/html; charset=gb2312">
<LINK href="../CSS/Base.css" rel=stylesheet>
<LINK href="../CSS/Tab.css" rel=stylesheet>
<style>
  td { padding:2px 5px 2px 5px;}
</style>
<link href="../CSS/Common.css" rel="stylesheet" type="text/css"/>
<script>
function copycode(obj) {
	var rng = document.body.createTextRange();
    rng.moveToElementText(obj);
    rng.scrollIntoView();
    rng.select();
    rng.execCommand("Copy");
    rng.collapse(false);
	alert("复制分析结果到剪贴板成功");
}
function ajax_Submit(url,postStr) {
	var ajax=false; 
	try { ajax = new ActiveXObject("Msxml2.XMLHTTP"); }
	catch (e) { try { ajax = new ActiveXObject("Microsoft.XMLHTTP"); } catch (E) { ajax = false; } }
	if (!ajax && typeof XMLHttpRequest!='undefined') ajax = new XMLHttpRequest(); 

	ajax.open("POST", url, true); 
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded"); 
	ajax.send(postStr);
	ajax.onreadystatechange = function(){
		if (ajax.readyState == 4)
		{
			if(ajax.status == 200)
			{
				var theRtnText = ajax.responseText;
				document.getElementById("dataTable").style.display = '';
				document.getElementById("dataCopyAction").style.display = '';
				document.getElementById("dataReportInner").innerHTML = theRtnText ;
			}
			else
			{
				alert('网络传输问题');
			}
		}	
	} 
}
function DataSubmit()
{
	var departmentID = document.getElementById('t_departmentID').value;
	var gradeID = document.getElementById('t_gradeID').value;
	var classID = document.getElementById('t_classID').value;
	var groupID = document.getElementById('t_groupID').value;
	var teacherID = document.getElementById('t_teacherID').value;
	var coursesID = document.getElementById('t_coursesID').value;
	var isElective = document.getElementById('t_isElective').value;
	var ParamString = "Action=DataReportSubmit";
	ParamString += "&departmentID="+departmentID;
	ParamString += "&gradeID="+gradeID;
	ParamString += "&classID="+classID;
	ParamString += "&groupID="+groupID;
	ParamString += "&teacherID="+teacherID;
	ParamString += "&coursesID="+coursesID;
	ParamString += "&isElective="+isElective;
	ParamString += "&assessID={assessID}&surveyType={surveyType}";
	document.getElementById("dataTable").style.display = '';
	document.getElementById("dataReportInner").innerHTML = "<div id=\"preloading\" style=\"position:absolute;top:0;left:0;z-index:1;background-color:#f0f0f0;left:0;top:0;width:160px;overflow:hidden;white-space:nowrap;color:black;position:fixed;top:0;left:0;font-weight:bold;-moz-border-radius-bottomright:5px;-webkit-border-bottom-right-radius:5px;-khtml-border-bottom-right-radius:5px;border-bottom-right-radius:5px;\">&nbsp;<img src=\"..\/Images\/wait.gif\" width=\"16px\" height=\"16px\">&nbsp;正在加载数据分析&nbsp;<\/div>";
	ajax_Submit('IndexsScore.php?{thisURLString}',ParamString);
}
function $(_sId){
	return document.getElementById(_sId);
}
function ResetInit()
{
	document.getElementById("dataTable").style.display = 'none';
	document.getElementById("dataCopyAction").style.display = 'none';
	document.getElementById("dataReportInner").innerHTML = '' ;
}
</script>
<META content="MSHTML 6.00.3790.0" name=GENERATOR></HEAD>
<body oncontextmenu="return false" style="margin-top:0px">

<div id="tabs1"> 
    <ul> 
        <li><a href="ShowMain.php"><span>我的问卷</span></a></li> 
        <li><a href="{countURL}"><span>频数频率分析</span></a></li> 
        <li><a href="{commitURL}"><span>参评率报告</span></a></li>
        <li><a href="{listURL}"><span>问卷回复详细</span></a></li>
        <li><a href="{dataChartURL}"><span>数据图形展示</span></a></li>
        <li id="current"><a href="{indexsURL}"><span>指标分值分析</span></a></li> 
        <li><a href="{rankURL}"><span>教师评教排名</span></a></li>
    </ul> 
</div> 

<div style="line-height:10px">&nbsp;</div>
<div class="wrap q_clear" id=wrap>
<div>
<div>
<div class=q_clear id=myheadertext><h1><span class=red>[{assessTitle}]</span>评教问卷指标分值分析</h1>&nbsp;<br/></div>
<div id=myname></div>

<table style="border-top: #b5cfd9 1px solid;border-bottom: #b5cfd9 1px solid;" width=100% id="dataTableW" cellspacing=0 cellpadding=0>
   <form name="Check_Form" method="post" action="">
   <tr><td height=8></td></tr>
   <tr><td>
	  <IMG SRC="../Images/search.gif">  <b>选择分析数据的范围：</b>
		<select name="t_departmentID" id="t_departmentID">
			<option value=''>请选择评教学生所在学部...</option>
			{departmentList}
		</select>
		<select name="t_gradeID" id="t_gradeID">
			<option value=''>请选择评教学生所在年级...</option>
			{gradeList}
		</select>
		<select name="t_classID" id="t_classID">
			<option value=''>请选择评教学生所在班级...</option>
			{classList}
		</select><br/>
		</td></tr>
		<tr><td height=8></td></tr>
		
		<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<select name="t_groupID" id="t_groupID">
			<option value=''>请选择被评教师所在教研分组...</option>
			{groupList}
		</select>
		<select name="t_teacherID" id="t_teacherID">
			<option value=''>请选择被评教师...</option>
			{teacherList}
		</select><br/>
		</td></tr>
		<tr><td height=8></td></tr>
		
		<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<select name="t_coursesID" id="t_coursesID">
			<option value=''>请选择被评教师担任课程...</option>
			{coursesList}
		</select>
		<select name="t_isElective" id="t_isElective">
			<option value='all'>请选择被评教师担任课程类型...</option>
			<option value='0'>必修课</option>
			<option value='1'>选修课</option>
		</select>
	</td></tr>
	<tr><td height=8></td></tr>
    <tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
         <input class=inputsubmit name="submit" type="button" id="submit" value="开始分析" onclick="javascript:DataSubmit();" > 
         <input class=inputsubmit name="reset" type="reset" id="reset" value="&nbsp;&nbsp;重置&nbsp;&nbsp;" onclick="javascript:ResetInit();" >
      </td>
    </tr>
	<tr><td height=8></td></tr>
  </form>
 </table>

 <table id="dataCopyAction" width=100% style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;" cellSpacing=0 cellPadding=0 borderColor=#b5cfd9 border=0>
  <tr><td align=right><a href="javascript:void(0)" onclick="copycode($('dataReportInner'));"><b>复制分析结果到剪贴板</b></a><img src="../Images/list_menu_arrow.gif" border=0>&nbsp;&nbsp;</td></tr></table>

  <table id="dataTable" style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;" cellSpacing=0 cellPadding=0 width="100%" borderColor=#b5cfd9 border=0>
   <tr><td id="dataInner" align=center style="padding-top:5px;padding-bottom:5px"><div id="dataReportInner"></div></td></tr>
 </table>

</div></div></div>
</body></html>
